<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Thu Jun 23 07:55:03 CEST 2016 -->
<title>P-Index</title>
<meta name="date" content="2016-06-23">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="P-Index";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-11.html">Prev Letter</a></li>
<li><a href="index-13.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-filesindex-12.html" target="_top">Frames</a></li>
<li><a href="index-12.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">Z</a>&nbsp;<a name="_P_">
<!--   -->
</a>
<h2 class="title">P</h2>
<dl>
<dt><span class="strong"><a href="../view/GlassPane.html#paintComponent(java.awt.Graphics)">paintComponent(Graphics)</a></span> - Method in class view.<a href="../view/GlassPane.html" title="class in view">GlassPane</a></dt>
<dd>
<div class="block">Display the transparency piece in the frame.</div>
</dd>
<dt><a href="../view/Parametres.html" title="class in view"><span class="strong">Parametres</span></a> - Class in <a href="../view/package-summary.html">view</a></dt>
<dd>
<div class="block">The Class Parametres.</div>
</dd>
<dt><span class="strong"><a href="../view/Parametres.html#Parametres(view.Blokus)">Parametres(Blokus)</a></span> - Constructor for class view.<a href="../view/Parametres.html" title="class in view">Parametres</a></dt>
<dd>
<div class="block">Instantiates a new parametres menu.</div>
</dd>
<dt><a href="../model/Pattern.html" title="class in model"><span class="strong">Pattern</span></a> - Class in <a href="../model/package-summary.html">model</a></dt>
<dd>
<div class="block">The Class Pattern.</div>
</dd>
<dt><span class="strong"><a href="../model/Pattern.html#Pattern()">Pattern()</a></span> - Constructor for class model.<a href="../model/Pattern.html" title="class in model">Pattern</a></dt>
<dd>
<div class="block">Instantiates a new pattern class who manage all the pattern of the application.</div>
</dd>
<dt><span class="strong"><a href="../model/Pattern.html#PATTERN_NUMBER">PATTERN_NUMBER</a></span> - Static variable in class model.<a href="../model/Pattern.html" title="class in model">Pattern</a></dt>
<dd>
<div class="block">The pattern number.</div>
</dd>
<dt><span class="strong"><a href="../model/Player.html#PATTERN_NUMBER">PATTERN_NUMBER</a></span> - Variable in class model.<a href="../model/Player.html" title="class in model">Player</a></dt>
<dd>
<div class="block">The pattern number.</div>
</dd>
<dt><span class="strong"><a href="../model/Pattern.html#PATTERN_PATH">PATTERN_PATH</a></span> - Variable in class model.<a href="../model/Pattern.html" title="class in model">Pattern</a></dt>
<dd>
<div class="block">The pattern path.</div>
</dd>
<dt><span class="strong"><a href="../model/Pattern.html#PATTERN_POSITION_PATH">PATTERN_POSITION_PATH</a></span> - Variable in class model.<a href="../model/Pattern.html" title="class in model">Pattern</a></dt>
<dd>
<div class="block">The pattern position path.</div>
</dd>
<dt><a href="../model/Piece.html" title="class in model"><span class="strong">Piece</span></a> - Class in <a href="../model/package-summary.html">model</a></dt>
<dd>
<div class="block">The Class Piece represent the different piece possible with the blokus.</div>
</dd>
<dt><span class="strong"><a href="../model/Piece.html#Piece(int,%20model.Pattern,%20model.Player)">Piece(int, Pattern, Player)</a></span> - Constructor for class model.<a href="../model/Piece.html" title="class in model">Piece</a></dt>
<dd>
<div class="block">Instantiates a new piece.</div>
</dd>
<dt><span class="strong"><a href="../model/Piece.html#Piece(int,%20model.Pattern)">Piece(int, Pattern)</a></span> - Constructor for class model.<a href="../model/Piece.html" title="class in model">Piece</a></dt>
<dd>
<div class="block">Instantiates a new piece.</div>
</dd>
<dt><span class="strong"><a href="../controler/Drop.html#PIECE_FLAVOR">PIECE_FLAVOR</a></span> - Static variable in class controler.<a href="../controler/Drop.html" title="class in controler">Drop</a></dt>
<dd>
<div class="block">The Constant PIECE_FLAVOR, this allow to have the same pointer between the object dragged and dropped</div>
</dd>
<dt><a href="../controler/PieceListener.html" title="class in controler"><span class="strong">PieceListener</span></a> - Class in <a href="../controler/package-summary.html">controler</a></dt>
<dd>
<div class="block">This listener action the drag and drop on the playerPiece</div>
</dd>
<dt><span class="strong"><a href="../controler/PieceListener.html#PieceListener(view.Blokus,%20controler.Game)">PieceListener(Blokus, Game)</a></span> - Constructor for class controler.<a href="../controler/PieceListener.html" title="class in controler">PieceListener</a></dt>
<dd>
<div class="block">Instantiates a new piece listener.</div>
</dd>
<dt><a href="../test/PieceTest.html" title="class in test"><span class="strong">PieceTest</span></a> - Class in <a href="../test/package-summary.html">test</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../test/PieceTest.html#PieceTest()">PieceTest()</a></span> - Constructor for class test.<a href="../test/PieceTest.html" title="class in test">PieceTest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../model/Player.html" title="class in model"><span class="strong">Player</span></a> - Class in <a href="../model/package-summary.html">model</a></dt>
<dd>
<div class="block">The Class Player represent and store the characteristic of a player.</div>
</dd>
<dt><span class="strong"><a href="../model/Player.html#Player(java.awt.Color,%20java.lang.String)">Player(Color, String)</a></span> - Constructor for class model.<a href="../model/Player.html" title="class in model">Player</a></dt>
<dd>
<div class="block">Instantiates a new player.</div>
</dd>
<dt><span class="strong"><a href="../model/Player.html#Player(java.awt.Color,%20java.lang.String,%20model.Pattern)">Player(Color, String, Pattern)</a></span> - Constructor for class model.<a href="../model/Player.html" title="class in model">Player</a></dt>
<dd>
<div class="block">Instantiates a new player.</div>
</dd>
<dt><span class="strong"><a href="../model/Player.html#Player(java.awt.Color,%20java.lang.String,%20model.Pattern,%20int[])">Player(Color, String, Pattern, int[])</a></span> - Constructor for class model.<a href="../model/Player.html" title="class in model">Player</a></dt>
<dd>
<div class="block">Instantiates a new player.</div>
</dd>
<dt><a href="../view/PlayerBar.html" title="class in view"><span class="strong">PlayerBar</span></a> - Class in <a href="../view/package-summary.html">view</a></dt>
<dd>
<div class="block">This jPanel display the statue of his player : his name, score and number of piece.</div>
</dd>
<dt><span class="strong"><a href="../view/PlayerBar.html#PlayerBar(model.Player)">PlayerBar(Player)</a></span> - Constructor for class view.<a href="../view/PlayerBar.html" title="class in view">PlayerBar</a></dt>
<dd>
<div class="block">Instantiates a new player bar.</div>
</dd>
<dt><a href="../controler/PlayerButtonListener.html" title="class in controler"><span class="strong">PlayerButtonListener</span></a> - Class in <a href="../controler/package-summary.html">controler</a></dt>
<dd>
<div class="block">This listener is used in playerZone in the button abandonner and passer.</div>
</dd>
<dt><span class="strong"><a href="../controler/PlayerButtonListener.html#PlayerButtonListener(model.Player,%20view.PlayerZone,%20controler.Game)">PlayerButtonListener(Player, PlayerZone, Game)</a></span> - Constructor for class controler.<a href="../controler/PlayerButtonListener.html" title="class in controler">PlayerButtonListener</a></dt>
<dd>
<div class="block">Instantiates a new player button listener.</div>
</dd>
<dt><a href="../model/PlayerOnline.html" title="class in model"><span class="strong">PlayerOnline</span></a> - Class in <a href="../model/package-summary.html">model</a></dt>
<dd>
<div class="block">The Class PlayerOnline is used for the onlineGmae, it have the particularity to have a Id.</div>
</dd>
<dt><span class="strong"><a href="../model/PlayerOnline.html#PlayerOnline(java.awt.Color,%20java.lang.String,%20int,%20int,%20int)">PlayerOnline(Color, String, int, int, int)</a></span> - Constructor for class model.<a href="../model/PlayerOnline.html" title="class in model">PlayerOnline</a></dt>
<dd>
<div class="block">Instantiates a new player online.</div>
</dd>
<dt><a href="../test/PlayerOnlineTest.html" title="class in test"><span class="strong">PlayerOnlineTest</span></a> - Class in <a href="../test/package-summary.html">test</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../test/PlayerOnlineTest.html#PlayerOnlineTest()">PlayerOnlineTest()</a></span> - Constructor for class test.<a href="../test/PlayerOnlineTest.html" title="class in test">PlayerOnlineTest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../view/PlayerPiece.html" title="class in view"><span class="strong">PlayerPiece</span></a> - Class in <a href="../view/package-summary.html">view</a></dt>
<dd>
<div class="block">The Class PlayerPiece is a jPanel who represent a piece with a board of jLabel.</div>
</dd>
<dt><span class="strong"><a href="../view/PlayerPiece.html#PlayerPiece(model.Piece,%20view.PlayerZone)">PlayerPiece(Piece, PlayerZone)</a></span> - Constructor for class view.<a href="../view/PlayerPiece.html" title="class in view">PlayerPiece</a></dt>
<dd>
<div class="block">Instantiates a new player piece.</div>
</dd>
<dt><span class="strong"><a href="../view/PlayerPiece.html#PlayerPiece(model.Piece)">PlayerPiece(Piece)</a></span> - Constructor for class view.<a href="../view/PlayerPiece.html" title="class in view">PlayerPiece</a></dt>
<dd>
<div class="block">Instantiates a new player piece.</div>
</dd>
<dt><a href="../view/PlayerPieces.html" title="class in view"><span class="strong">PlayerPieces</span></a> - Class in <a href="../view/package-summary.html">view</a></dt>
<dd>
<div class="block">The Class PlayerPieces is a jPanel who store and display all playerPiece of a player.</div>
</dd>
<dt><span class="strong"><a href="../view/PlayerPieces.html#PlayerPieces(model.Player,%20view.PlayerZone)">PlayerPieces(Player, PlayerZone)</a></span> - Constructor for class view.<a href="../view/PlayerPieces.html" title="class in view">PlayerPieces</a></dt>
<dd>
<div class="block">Instantiates a new playerPieces.</div>
</dd>
<dt><span class="strong"><a href="../view/PlayerPieces.html#PlayerPieces(view.PlayerZone,%20java.util.ArrayList)">PlayerPieces(PlayerZone, ArrayList&lt;Piece&gt;)</a></span> - Constructor for class view.<a href="../view/PlayerPieces.html" title="class in view">PlayerPieces</a></dt>
<dd>
<div class="block">Instantiates a new playerPieces.</div>
</dd>
<dt><span class="strong"><a href="../view/PlayerPieces.html#PlayerPieces(java.util.ArrayList)">PlayerPieces(ArrayList&lt;Piece&gt;)</a></span> - Constructor for class view.<a href="../view/PlayerPieces.html" title="class in view">PlayerPieces</a></dt>
<dd>
<div class="block">Instantiates a new playerPieces.</div>
</dd>
<dt><span class="strong"><a href="../view/PlayerPieces.html#PlayerPieces(java.util.ArrayList,%20view.Parametres)">PlayerPieces(ArrayList&lt;Piece&gt;, Parametres)</a></span> - Constructor for class view.<a href="../view/PlayerPieces.html" title="class in view">PlayerPieces</a></dt>
<dd>
<div class="block">Instantiates a new playerPieces.</div>
</dd>
<dt><span class="strong"><a href="../model/GameRule.html#playersCanPlay()">playersCanPlay()</a></span> - Method in class model.<a href="../model/GameRule.html" title="class in model">GameRule</a></dt>
<dd>
<div class="block">check if a player can play.</div>
</dd>
<dt><a href="../test/PlayerTest.html" title="class in test"><span class="strong">PlayerTest</span></a> - Class in <a href="../test/package-summary.html">test</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../test/PlayerTest.html#PlayerTest()">PlayerTest()</a></span> - Constructor for class test.<a href="../test/PlayerTest.html" title="class in test">PlayerTest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../view/PlayerZone.html" title="class in view"><span class="strong">PlayerZone</span></a> - Class in <a href="../view/package-summary.html">view</a></dt>
<dd>
<div class="block">The Class PlayerZone is a jPanel who display the playerBar and playerPieces of a player.</div>
</dd>
<dt><span class="strong"><a href="../view/PlayerZone.html#PlayerZone(model.Player,%20controler.Game,%20view.Blokus)">PlayerZone(Player, Game, Blokus)</a></span> - Constructor for class view.<a href="../view/PlayerZone.html" title="class in view">PlayerZone</a></dt>
<dd>
<div class="block">Instantiates a new player zone.</div>
</dd>
<dt><a href="../model/Position.html" title="class in model"><span class="strong">Position</span></a> - Class in <a href="../model/package-summary.html">model</a></dt>
<dd>
<div class="block">The Class Position is explicit, this class is a landmark used in a lot of board.</div>
</dd>
<dt><span class="strong"><a href="../model/Position.html#Position()">Position()</a></span> - Constructor for class model.<a href="../model/Position.html" title="class in model">Position</a></dt>
<dd>
<div class="block">Instantiates a new position.</div>
</dd>
<dt><span class="strong"><a href="../model/Position.html#Position(int,%20int)">Position(int, int)</a></span> - Constructor for class model.<a href="../model/Position.html" title="class in model">Position</a></dt>
<dd>
<div class="block">Instantiates a new position.</div>
</dd>
<dt><a href="../test/PositionTest.html" title="class in test"><span class="strong">PositionTest</span></a> - Class in <a href="../test/package-summary.html">test</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../test/PositionTest.html#PositionTest()">PositionTest()</a></span> - Constructor for class test.<a href="../test/PositionTest.html" title="class in test">PositionTest</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">Z</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-11.html">Prev Letter</a></li>
<li><a href="index-13.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-filesindex-12.html" target="_top">Frames</a></li>
<li><a href="index-12.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
